/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.api.controller;

import fr.unistra.sil.erp.back.api.model.ErrorMessage;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * Handles API exceptions.
 * @author BEAUVAIS ANTOINE
 */
@RestControllerAdvice
public class ApiErrorHandler {
    
    @ExceptionHandler(ApiServerErrorException.class)
    public ResponseEntity<Object> handleServerError(Exception ex,
            HttpServletRequest request, HttpServletResponse response)
    {
        return new ResponseEntity<>(new ErrorMessage(ex.getMessage()),
                HttpStatus.INTERNAL_SERVER_ERROR);
    }
    
}
